ChangeSet 1.786, 2002/12/05 14:20:55-08:00, randy.dunlap@verizon.net

[PATCH] USB: use time_before() to compare times



diff -Nru a/drivers/usb/serial/keyspan.c b/drivers/usb/serial/keyspan.c
--- a/drivers/usb/serial/keyspan.c	Thu Dec  5 14:48:35 2002
+++ b/drivers/usb/serial/keyspan.c	Thu Dec  5 14:48:35 2002
@@ -343,7 +343,7 @@
 		if (this_urb->status == -EINPROGRESS) {
 			if (this_urb->transfer_flags & USB_ASYNC_UNLINK)
 				break;
-			if (jiffies - p_priv->tx_start_time[flip] < 10 * HZ)
+			if (time_before(jiffies, p_priv->tx_start_time[flip] + 10 * HZ))
 				break;
 			this_urb->transfer_flags |= USB_ASYNC_UNLINK;
 			usb_unlink_urb(this_urb);
